
%global __requires_exclude runscript

%undefine __find_provides
%undefine __find_requires

# don't spend time with this either
%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

%define 	name webmin

Summary:	An SSL web-based administration interface for Unix systems
Summary(de): Eine webbasierte Administrationsschnittstelle für Unix Systeme.
Name:		%{name}
Version:	2.020
Release:	%mkrel 1
License:	BSD
Group:		System/Servers
URL:		http://www.webmin.com/webmin/
%(if [ ! -f %_sourcedir/%{name}-%{version}.tar.gz ]; then cd %_sourcedir/ && wget https://downloads.sourceforge.net/webadmin/webmin-%{version}.tar.gz; fi)
Source0:	%{name}-%{version}.tar.gz
Source2:	other.modules.tar.bz2
# some images were missing
Source33:	advanced.png
Source34:	descs.png
Source4:	webmin-postinstallscript.sh
Source5:	webmin
Source6:	webmin.initscript
Source9:	openvpn-2.0.wbm.gz
Source10:	webmin.pam
Source11:	webmin-16.png
Source12:	webmin-32.png
Source13:	webmin-48.png
Source14:	webmin.pam-new
Source15:	webmin.logrotate
Patch1:		webmin-1.950-remove-atboot-problem.diff
Patch5:		webmin-fix-newmods.patch
Patch7:		webmin-0.85-never-fail-detect-os.patch
Patch8:		webmin-0.85-enable-changed-theme-at-installation.patch
Patch9:     webmin-distrofix.patch
Patch19:	webmin-0.92-add-default-configs-logviewer-fp2k.patch
Patch21:	webmin-0.950-add-netsaint-mandrake-config.patch
Patch23:	webmin-1.020-ssl-location.patch
Patch29:	webmin-1.100-let-localauth-config.patch
Patch37:	webmin-temp-permission-fix.diff
Patch38:	webmin-ssldir-cosmetic.diff
Patch39:	webmin-fix-bandwith.diff
Patch44:	webmin-openvpn-config.patch
Patch45:	webmin-1.670-disable-update-notifications.patch

Requires:	perl
Requires:	perl-CGI
Requires:	perl(Authen::Libwrap)
Requires:	perl(IO::Tty)
Requires:	perl(JSON::PP)
Requires:	perl(Encode::Detect)
Requires:	perl(Encode::HanConvert)
Requires:   perl-HTML-Parser
Requires:	lsof
Requires(pre): rpm-helper sed chkconfig findutils coreutils initscripts grep perl-Net_SSLeay perl-Authen-PAM
Provides:	%{name}-%{version}
BuildArch:	noarch

%description
A web-based administration interface for Unix systems. Using Webmin you can
configure DNS, Samba, NFS, local/remote filesystems, Apache, Sendmail/Postfix,
and more using your web browser.

After installation, enter the URL https://localhost:10000/ into your browser
and login as root with your root password. Please consider logging in and
modify your password for security issue.

PLEASE NOTE THAT THIS VERSION NOW USES SECURE WEB TRANSACTIONS: YOU HAVE TO
LOGIN TO "https://localhost:10000/" AND NOT "http://localhost:10000/".


%description -l de
Eine webbasierte Administrationsschnittstelle für Uniy Systeme. Wenn Sie Webmin
nutzen können Sie DNS, Samba, NFS, lokale/entfernte Dateisysteme konfigurieren und 
noch mehr nur durch die Benutzung der Webbrowsers.

Geben Sie nach der Installation die URL https://localhost:10000/ in Ihrem Browser
ein und melden sich mit dem root-Passwort an.


%prep

%setup -q -a 2
%setup -q -D -T -c -a 9 -n %{name}-%{version}

%patch1 -p0
%patch5 -p0
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch19 -p0
%patch21 -p0
%patch23 -p1
%patch29 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch44 -p0
%patch45 -p1

rm -rf cfengine inetd jabber netsaint pptp-server sentry webalizer wuftpd

rm -rf JSON

find bind8 -type f -maxdepth 1 | xargs perl -pi -e 's|/var/run/named\.pid|/var/run/named/named.pid|'

cp config-mandrake-linux config-pclinuxos

perl -pi -e 's|mandrake-linux|pclinuxos mandrake-linux| if $_ =~ /^os_support.*mandrake-linux/ && $_ !~ /pclinuxos/' */module.info
perl -pi -e 's|pclinuxos|pclinuxos{-r "/etc/named.boot"}| if $_ =~ /^os_support.*pclinuxos/' dnsadmin/module.info

# adapt to systemd
perl -pi -e 's|/etc/(rc.d/)*init.d/([^ ]*)|/sbin/service \2|g' */config-mandrake-linux* */config-\*-linux net/mandrake-linux-lib.pl

(find . -name '*.cgi' ; find . -name '*.pl') | perl perlpath.pl /usr/bin/perl -
rm -f mount/freebsd-mounts-*
rm -f mount/openbsd-mounts-*

find -name ".xvpics" -o -name ".*.swp" | xargs rm -rf

%build

# nothing to do here...

%install
# IMPORTANT: there is no %{_datadir} and so on, since the directories are decided by the post install script.
mkdir -p %{buildroot}/usr/share/webmin
mkdir -p %{buildroot}/%{_initrddir}
mkdir -p %{buildroot}/usr/bin

find -type f -print0 | xargs -0 chmod a+r
find -type d -print0 | xargs -0 chmod a+rx

cp -a * %{buildroot}/usr/share/webmin
install -m755 %{SOURCE6} %{buildroot}/%{_initrddir}/webmin
install -m755 %{SOURCE4} %{buildroot}/usr/share/webmin/postinstall.sh
install -m755 %{SOURCE5} %{buildroot}/usr/bin

mkdir -p %{buildroot}/%{_sysconfdir}/pam.d

install -m755 %{SOURCE14} %{buildroot}/%{_sysconfdir}/pam.d/webmin

rm -rf %{buildroot}/usr/share/webmin/*/{CVS,*/CVS}
rm -f `find %{buildroot} -type f -name .cvsignore`

# (gc) remove zero-length files (to check sometimes if they are still zero-length'ed)
for i in /usr/share/webmin/caldera/images/letters/254.gif /usr/share/webmin/i4lctrl-0.6.7/lang/de /usr/share/webmin/caldera/images/letters/255.gif; do
    if [ -f $i ]; then rm -f %{buildroot}$i; fi
done

echo "rpm" > %{buildroot}/usr/share/webmin/install-type

# remove macos files (breaks build in find command in find-debuginfo.sh)
rm -f %{buildroot}/usr/share/webmin/mount/macos-mounts*

echo 'blue-theme' > %{buildroot}%{_datadir}/webmin/defaulttheme


# Install icons
install -d -m 0755 %{buildroot}%{_liconsdir}
install -d -m 0755 %{buildroot}%{_miconsdir}
install -m 0644 %{SOURCE11} %{buildroot}%{_miconsdir}/webmin.png
install -m 0644 %{SOURCE12} %{buildroot}%{_iconsdir}/webmin.png
install -m 0644 %{SOURCE11} %{buildroot}%{_liconsdir}/webmin.png

# Menu entry

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/www-browser https://localhost:10000/
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Settings;X-MandrivaLinux-System-Configuration-Other;
EOF

rm -fr %{buildroot}/usr/share/webmin/acl/Authen-SolarisRBAC-0.1

#logrotate
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 0644 %{SOURCE15} %{buildroot}%{_sysconfdir}/logrotate.d/webmin


%pre
rm -rf /usr/share/webmin

%post
/usr/share/webmin/postinstall.sh

%_post_service %{name}
service webmin restart >/dev/null 2>/dev/null || :

%preun
%_preun_service webmin

%postun
if [ "$1" = 0 ]; then
    rm -rf /etc/webmin /var/webmin /var/lib/webmin /var/log/webmin
fi

%files
%doc LICENCE
%{_initrddir}/webmin
%config(noreplace) %{_sysconfdir}/pam.d/webmin
%config(noreplace) %{_sysconfdir}/logrotate.d/webmin
%{_datadir}/webmin
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Thu Jan 19 2023 tex - 2.013-1pclos2023
- new version

* Thu Jan 19 2023 tex - 2.011-1pclos2023
- new version

* Fri Aug 05 2022 tex - 1.999-1pclos2022
- new version

* Mon Jul 25 2022 tex - 1.998-1pclos2022
- new version

* Thu Jul 14 2022 tex - 1.997-1pclos2022
- new version

* Tue Jul 05 2022 tex - 1.996-1pclos2022
- new version

* Sun Jun 26 2022 tex - 1.995-1pclos2022
- new version

* Wed May 25 2022 tex - 1.994-1pclos2022
- new version

* Sun May 22 2022 tex - 1.993-1pclos2022
- new version

* Mon Mar 07 2022 tex - 1.990-1pclos2022
- new version

* Fri Dec 03 2021 tex - 1.983-1pclos2021
- new version

* Sat Nov 27 2021 tex - 1.982-1pclos2021
- new version

* Sun Aug 29 2021 tex - 1.981-1pclos2021
- new version

* Sun Aug 22 2021 tex - 1.980-1pclos2021
- new version

* Mon Jun 14 2021 tex - 1.979-1pclos2021
- new version

* Sat May 08 2021 tex - 1.974-2pclos2021
- add pre script

* Thu Apr 29 2021 tex - 1.974-1pclos2021
- new version

* Sun Mar 07 2021 tex - 1.973-1pclos2021
- new version

* Mon Mar 01 2021 tex - 1.972-1pclos2021
- new version

* Thu Jan 07 2021 tex - 1.970-1pclos2021
- new version

* Wed Nov 11 2020 tex - 1.962-1pclos2020
- new version

* Mon Oct 19 2020 tex - 1.960-1pclos2020
- new version

* Thu Aug 20 2020 tex - 1.955-1pclos2020
- new version

* Fri Jul 31 2020 tex - 1.954-1pclos2020
- new version
